export default SplitButton;
/** @type {React.ComponentType<any>} */
declare class SplitButton extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    firstChild: any;
    state: {
        buttonLabel: any;
        popoverActive: boolean;
        popoverAnchorEl: null;
    };
    handleMainButtonClick: (event: any) => void;
    handleSecondaryButtonClick: (event: any) => void;
    handleMenuItemClick: (child: any, event: any) => void;
    handleCloseClick: () => void;
    render(): JSX.Element;
}
declare namespace SplitButton {
    const defaultProps: Partial<any> | undefined;
    const propTypes: React.WeakValidationMap<any> | undefined;
}
import React from "react";
